> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all temporary credentials for a specific Model Deployment

> Retrieves summary information for all available temporary credentials of a Model Deployment.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials:
    get:
      tags:
        - ModelDeployment
      summary: Retrieve all temporary credentials for a specific Model Deployment
      description: >-
        Retrieves summary information for all available temporary credentials of
        a Model Deployment.
      operationId: getModelDeploymentCredentials
      parameters:
        - description: The id of the Model Deployment from which to retrieve credentials
          in: path
          name: modelDeploymentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDeploymentCredentialsList'
          description: >-
            A non-paginated list of all Model Deployment credentials for a
            specific Model Deployment.
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelDeploymentCredentialsList:
      properties:
        items:
          description: The Model Deployments Credentials in the list
          items:
            $ref: '#/components/schemas/ModelDeploymentCredentials'
          type: array
      required:
        - items
    ModelDeploymentCredentials:
      description: Model Deployment Credentials
      properties:
        credentials:
          additionalProperties:
            type: string
          description: The actual credentials represented as key value pairs
          type: object
        credentialsType:
          $ref: '#/components/schemas/CredentialsType'
        expirationTime:
          example: '2023-07-15T14:35:47.89Z'
          format: date-time
          type: string
        operationType:
          example: INVOKE_ENDPOINT
          type: string
      required:
        - operationType
        - credentialsType
        - expirationTime
        - credentials
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    CredentialsType:
      description: >-
        This field identifies the type of credential.  The `enum` value limits
        the possibilities to what this model deployment supports.
      enum:
        - AWS
        - HMAC
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````